import numpy

def self_dec_5(x):
    if x < 0.2: return 0.1
    elif x < 0.4: return 0.3
    elif x < 0.6: return 0.5
    elif x < 0.8: return 0.7
    else: return 0.9

def self_dec_2(x):
    if x < 0.5: return 0
    else: return 1

def lmbd(x, avg):
    return abs(x - self_dec_5(x)) * abs(avg - self_dec_5(x)) + 1

xpct = 0
for i in range(100000):
    a = (numpy.random.uniform(0, 1))
    b = ((numpy.random.uniform(0, 1) + a) / 2)
    c = ((numpy.random.uniform(0, 1) + a + b) / 3)
    d = ((numpy.random.uniform(0, 1) + a + b + c) / 4)
    p_0 = self_dec_2(a)
    p_1 = self_dec_2(b)
    p_2 = self_dec_2(c)
    p_3 = self_dec_2(d)
    dec = self_dec_2(numpy.average([p_0, p_1, p_2, p_3]))
    xpct +=(1 / lmbd(a, dec)) + (1 / lmbd(b, dec)) + (1 / lmbd(c, dec)) + (1 / lmbd(d, dec)) / 4

print(xpct / 100000)
