import numpy
from collections import Counter

def self_dec_2(x):
    if x < 0.5:
        return 0
    else:
        return 1

def self_dec_5(x):
    if x < 0.2: return 0.1
    elif x < 0.4: return 0.3
    elif x < 0.6: return 0.5
    elif x < 0.8: return 0.7
    else: return 0.9

n_0 = 0
n_1 = 0
for i in range(100000):
    a = self_dec_2(numpy.random.uniform(0, 1))
    b = self_dec_2(a)
    c = self_dec_2(a)
    d = self_dec_2(a)

    n_0 += abs(0.5 - a) + abs(0.5 - b) + abs(0.5 - c) + abs(0.5 - d)
    n_1 += abs(0.5 - self_dec_2(a))

print("group homeostasis:")
print(n_0 / n_1)

